Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.event
Interface PanelToggleSource

    public interface PanelToggleSource

Since:
  2010-08-27
Author:
  akolonitsky

Method Summary
`void` | `addPanelToggleListener(PanelToggleListener listener)` Add a new `PanelToggleListener` to the set of listeners interested in being notified when `PanelToggleEvent`s occur.
`PanelToggleListener[]` | `getPanelToggleListeners()` Return the set of registered `PanelToggleListener`s for this instance.
`void` | `removePanelToggleListener(PanelToggleListener listener)` Remove an existing `PanelToggleListener` (if any) from the set of listeners interested in being notified when `PanelToggleEvent`s occur.

Method Detail

### addPanelToggleListener

    void addPanelToggleListener(PanelToggleListener listener)

  Add a new `PanelToggleListener` to the set of listeners interested in being notified when `PanelToggleEvent`s occur.

  Parameters:
    `listener` - The `PanelToggleListener` to be added
  Throws:
    `java.lang.NullPointerException` - if `listener` is `null`

### getPanelToggleListeners

    PanelToggleListener[] getPanelToggleListeners()

  Return the set of registered `PanelToggleListener`s for this instance. If there are no registered listeners, a zero-length array is returned.

### removePanelToggleListener

    void removePanelToggleListener(PanelToggleListener listener)

  Remove an existing `PanelToggleListener` (if any) from the set of listeners interested in being notified when `PanelToggleEvent`s occur.

  Parameters:
    `listener` - The `PanelToggleListener` to be removed
  Throws:
    `java.lang.NullPointerException` - if `listener` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.